#ifndef _KVI_TEXTENCODING_H_
#define _KVI_TEXTENCODING_H_
//=============================================================================
//
//   File : kvi_textencoding.h
//   Creation date : Wed 04 Dec 2002 03:33:21 by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2002 Szymon Stefanek (pragma at kvirc dot net)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "kvi_settings.h"

class QTextCodec;

#define KVI_TEXT_ENCODING_UTF8 0

#define KVI_TEXT_ENCODING_LATIN1 1
#define KVI_TEXT_ENCODING_ISO88591 1

#define KVI_TEXT_ENCODING_LATIN2 2
#define KVI_TEXT_ENCODING_ISO88592 2

#define KVI_TEXT_ENCODING_ISO88595 3

#define KVI_TEXT_ENCODING_ISO88597 4 

#define KVI_TEXT_ENCODING_LATIN5 5
#define KVI_TEXT_ENCODING_ISO88599 5

#define KVI_TEXT_ENCODING_LATIN9 6
#define KVI_TEXT_ENCODING_ISO885915 6

#define KVI_TEXT_ENCODING_KOI8R 7

#define KVI_TEXT_ENCODING_CP1251 8
#define KVI_TEXT_ENCODING_WIN1251 8

#ifndef QT_NO_BIG_CODECS
	#define KVI_TEXT_ENCODING_BIG5 9
	
	#define KVI_TEXT_ENCODING_GB2312 10
	#define KVI_TEXT_ENCODING_GB18030 10
	
	#define KVI_TEXT_ENCODING_SJIS 11
	
	#define KVI_TEXT_ENCODING_EUCKR 12
	
	#define KVI_TEXT_ENCODING_TIS620 13
	
	#define KVI_TEXT_ENCODING_COUNT 14
#else
	#define KVI_TEXT_ENCODING_TIS620 9
	
	#define KVI_TEXT_ENCODING_COUNT 10
#endif // !QT_NO_BIG_CODECS

// Please add the encodings at the END of the list, not in the middle,
// otherwise the current settings of the CVS users get messed :D

#define KVI_TEXT_ENCODING_UNKNOWN 0xffff

KVILIB_API unsigned int kvi_textEncodingFromName(const char * encName);
KVILIB_API const char * kvi_textEncodingName(unsigned int uEncoding);
KVILIB_API const char * kvi_textEncodingNameAlias(unsigned int uEncoding);
KVILIB_API unsigned int kvi_textEncodingForLocale();
KVILIB_API QTextCodec * kvi_textEncodingCodec(unsigned int uEncoding);



#endif // !_KVI_TEXTENCODING_H_
